/* Programmes listing — CoreUI Date Range Picker overrides (matches .drpWhatsOn on the What's On page) */
.drpProgrammes{
    border: 1px solid #000;
    border-radius: 0px;
    --cui-date-picker-focus-border-color: none;
    --cui-date-picker-focus-box-shadow: none
}

.drpProgrammes .date-picker-separator::before{
    background-color: #000;
}

.drpProgrammes .date-picker-indicator::before{
    background-color: #000;
}

.drpProgrammes .calendar-cell.range.current{
    background-color: #e54b612b;
}

.drpProgrammes .calendar-cell-inner.day::after{
    background: #e54b612b;
}

.drpProgrammes .calendar-cell.selected:not(th,.next,.previous) .calendar-cell-inner, .calendar-row.selected:not(th,.next,.previous) .calendar-cell-inner{
    background-color: #e54b61;
}

.drpProgrammes .calendar-cell.range-hover:first-of-type .calendar-cell-inner::before, .calendar-cell:not(.range-hover)+.calendar-cell.range-hover .calendar-cell-inner::before{
    border-color: #e54b61;
}

.drpProgrammes .calendar-cell.range-hover .calendar-cell-inner::before, .calendar-row.range-hover .calendar-cell-inner::before{
    border-color: #e54b61;
}

.drpProgrammes .calendar-cell.range-hover:not(:has(~ .range-hover)) .calendar-cell-inner::before{
    border-color: #e54b61;
}

.drpProgrammes .calendar-nav-date .btn:hover{
    color: #e54b61;
}

.drpProgrammes.date-picker:focus{
    border-color: red;
}
